Index: code/trunk/data/gui/schemes/OrxonoxHUDWidgets.scheme
===================================================================
--- code/trunk/data/gui/schemes/OrxonoxHUDWidgets.scheme	(revision 8079)
+++ code/trunk/data/gui/schemes/OrxonoxHUDWidgets.scheme	(revision 11359)
@@ -40,3 +40,5 @@
     <WindowAlias Alias="HUDWidgets/Tooltip"                  Target="OrxonoxLook/Tooltip" />
     <WindowAlias Alias="HUDWidgets/Tree"                     Target="OrxonoxLook/Tree" />
+
+    <WindowAlias Alias="HUDWidgets/ImageButton"              Target="OrxonoxLook/JuuButton" />
 </GUIScheme>
Index: code/trunk/data/gui/schemes/OrxonoxLook.scheme
===================================================================
--- code/trunk/data/gui/schemes/OrxonoxLook.scheme	(revision 8079)
+++ code/trunk/data/gui/schemes/OrxonoxLook.scheme	(revision 11359)
@@ -50,4 +50,8 @@
     <FalagardMapping WindowType="OrxonoxLook/VUMeter"                     TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="OrxonoxLook/VUMeter" />
     <FalagardMapping WindowType="OrxonoxLook/LargeVerticalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="OrxonoxLook/LargeVerticalScrollbar" />
-    <FalagardMapping WindowType="OrxonoxLook/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="OrxonoxLook/LargeVerticalScrollbarThumb" />
+    <FalagardMapping WindowType="OrxonoxLook/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"         LookNFeel="OrxonoxLook/LargeVerticalScrollbarThumb" />
+
+    <!-- Special Button for CampaignMenu -->
+    <FalagardMapping WindowType="OrxonoxLook/JuuButton"              TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="OrxonoxLook/JuuButton" />
+
 </GUIScheme>
Index: code/trunk/data/gui/schemes/OrxonoxMenuWidgets.scheme
===================================================================
--- code/trunk/data/gui/schemes/OrxonoxMenuWidgets.scheme	(revision 8079)
+++ code/trunk/data/gui/schemes/OrxonoxMenuWidgets.scheme	(revision 11359)
@@ -40,3 +40,5 @@
     <WindowAlias Alias="MenuWidgets/Tooltip"                  Target="OrxonoxLook/Tooltip" />
     <WindowAlias Alias="MenuWidgets/Tree"                     Target="OrxonoxLook/Tree" />
+
+    <WindowAlias Alias="MenuWidgets/JuuButton"                Target="OrxonoxLook/JuuButton" />
 </GUIScheme>
Index: code/trunk/data/gui/schemes/TaharezGreenHUDWidgets.scheme
===================================================================
--- code/trunk/data/gui/schemes/TaharezGreenHUDWidgets.scheme	(revision 8079)
+++ code/trunk/data/gui/schemes/TaharezGreenHUDWidgets.scheme	(revision 11359)
@@ -40,3 +40,5 @@
     <WindowAlias Alias="HUDWidgets/Tooltip"                  Target="TaharezGreenLook/Tooltip" />
     <WindowAlias Alias="HUDWidgets/Tree"                     Target="TaharezGreenLook/Tree" />
+
+     <WindowAlias Alias="HUDWidgets/ImageButton"              Target="TaharezGreenLook/JuuButton" />
 </GUIScheme>
Index: code/trunk/data/gui/schemes/TaharezGreenLook.scheme
===================================================================
--- code/trunk/data/gui/schemes/TaharezGreenLook.scheme	(revision 8079)
+++ code/trunk/data/gui/schemes/TaharezGreenLook.scheme	(revision 11359)
@@ -51,3 +51,6 @@
     <FalagardMapping WindowType="TaharezGreenLook/LargeVerticalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezGreenLook/LargeVerticalScrollbar" />
     <FalagardMapping WindowType="TaharezGreenLook/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezGreenLook/LargeVerticalScrollbarThumb" />
+
+    <!-- Special Button for CampaignMenu -->
+    <FalagardMapping WindowType="TaharezGreenLook/JuuButton"              TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="TaharezGreenLook/JuuButton" />
 </GUIScheme>
Index: code/trunk/data/gui/schemes/TaharezGreenMenuWidgets.scheme
===================================================================
--- code/trunk/data/gui/schemes/TaharezGreenMenuWidgets.scheme	(revision 8079)
+++ code/trunk/data/gui/schemes/TaharezGreenMenuWidgets.scheme	(revision 11359)
@@ -40,3 +40,5 @@
     <WindowAlias Alias="MenuWidgets/Tooltip"                  Target="TaharezGreenLook/Tooltip" />
     <WindowAlias Alias="MenuWidgets/Tree"                     Target="TaharezGreenLook/Tree" />
+
+        <WindowAlias Alias="MenuWidgets/JuuButton"                Target="TaharezGreenLook/JuuButton" />
 </GUIScheme>
Index: code/trunk/data/gui/schemes/TaharezLook.scheme
===================================================================
--- code/trunk/data/gui/schemes/TaharezLook.scheme	(revision 8079)
+++ code/trunk/data/gui/schemes/TaharezLook.scheme	(revision 11359)
@@ -51,3 +51,4 @@
     <FalagardMapping WindowType="TaharezLook/LargeVerticalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezLook/LargeVerticalScrollbar" />
     <FalagardMapping WindowType="TaharezLook/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezLook/LargeVerticalScrollbarThumb" />
+    
 </GUIScheme>