Index: code/branches/Boss_FS17/data/levels/Endurancefinal.oxw
===================================================================
--- code/branches/Boss_FS17/data/levels/Endurancefinal.oxw	(revision 11367)
+++ code/branches/Boss_FS17/data/levels/Endurancefinal.oxw	(revision 11380)
@@ -37,4 +37,16 @@
       </templates>
     </ModularSpaceShip>
+
+    <StaticEntity position="0,0,0" direction="0,-1,0" collisionType=static mass=100000 friction=0.01 >
+    <attached> 
+        <Model position="0,0,0" mesh="cube.mesh" scale3D="10000,10000,1000" /> 
+    </attached> 
+    <collisionShapes> 
+        <BoxCollisionShape position="0,0,0" halfExtents="10000,10000,1000" /> 
+    </collisionShapes> 
+</StaticEntity>
+
+
+    
     
   </Scene>
Index: code/branches/Boss_FS17/data/levels/FinalBossFS17.oxw
===================================================================
--- code/branches/Boss_FS17/data/levels/FinalBossFS17.oxw	(revision 11380)
+++ code/branches/Boss_FS17/data/levels/FinalBossFS17.oxw	(revision 11380)
@@ -0,0 +1,73 @@
+<LevelInfo
+ name = "Kleshtrimania"
+ description = "Final Boss"
+ tags = "test"
+ screenshot = "emptylevel.png"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+  include("templates/HeavyCruiser.oxt")
+?>
+
+<?lua
+  include("templates/spaceshipEscort.oxt")
+  include("templates/endurancetest_template.oxt")
+  ?>
+
+<Level
+	gametype = "Mission"
+>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
+  >
+
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+
+    <SpawnPoint team=0 position="-200,0,0" lookat="1,1,1" spawnclass=SpaceShip pawndesign=spaceshipescort />
+
+    <ModularSpaceShip velocity= "20,0,0" position="0,0,200" lookat= "0,0,0" health="1000" maxhealth="1000" initialhealth="1000" scale3D="1,1,1">
+      <templates>
+        <Template link=endurance />
+      </templates>
+    </ModularSpaceShip>
+
+
+<MovableEntity position="0,0,0" rotationrate="45" rotationaxis="0,0,1">
+    <attached>
+        <Model position="0,0,0" mesh="cube.mesh" scale3D="2,2,20" />
+        <MovableEntity position="0,0,0" rotationrate="180" rotationaxis="0,1,0">
+            <attached>
+                <Model position="0,0,0" mesh="sphere.mesh" scale3D="1,1,10" />
+            </attached>
+        </MovableEntity>
+    </attached>
+</MovableEntity>
+
+
+
+    <!--
+
+    <StaticEntity position="0,-10000,0" direction="0,-1,0" collisionType=static mass=100000 friction=0.01 >
+    <attached> 
+        <Model position="0,0,0" mesh="Transporter.mesh" scale3D="10000,10000,1000" /> 
+    </attached> 
+    <collisionShapes> 
+        <BoxCollisionShape position="0,0,0" halfExtents="10000,10000,1000" /> 
+    </collisionShapes> 
+</StaticEntity>
+
+  
+-->
+
+    
+  </Scene>
+</Level>
Index: code/branches/Boss_FS17/data/levels/emptyLevel.oxw
===================================================================
--- code/branches/Boss_FS17/data/levels/emptyLevel.oxw	(revision 11367)
+++ code/branches/Boss_FS17/data/levels/emptyLevel.oxw	(revision 11380)
@@ -10,10 +10,8 @@
   include("HUDTemplates3.oxo")
   include("templates/lodInformation.oxt")
-  include("templates/HeavyCruiser.oxt")
 ?>
 
 <?lua
   include("templates/spaceshipEscort.oxt")
-  include("templates/endurancetest_template.oxt")
 ?>
 
@@ -31,10 +29,13 @@
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
     <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
+    <StaticEntity position="0,-10000,0" direction="0,-1,0" collisionType=static mass=100000 friction=0.01 >
+    <attached> 
+        <Model position="0,0,0" mesh="cube.mesh" scale3D="10000,10000,1000" /> 
+    </attached> 
+    <collisionShapes> 
+        <BoxCollisionShape position="0,0,0" halfExtents="10000,10000,1000" /> 
+    </collisionShapes> 
+</StaticEntity>
 
-    <ModularSpaceShip velocity= "20,0,0" position="0,0,200" lookat= "0,0,0" health="1000" maxhealth="1000" initialhealth="1000">
-      <templates>
-        <Template link=endurance />
-      </templates>
-    </ModularSpaceShip>
     
   </Scene>